| Home | Libraries | People | FAQ | More

## Function throw_out_of_range

boost::container::throw_out_of_range

## Synopsis

    // In header: <boost/container/throw_exception.hpp>

    BOOST_NORETURN void throw_out_of_range(const char * str);

## Description

Exception callback called by Boost.Container to signal arguments out of range.

- If BOOST_NO_EXCEPTIONS is NOT defined `std::out_of_range(str)` is thrown.

- If BOOST_NO_EXCEPTIONS is defined and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS is NOT defined `BOOST_ASSERT_MSG(!"boost::container out_of_range thrown", str)` is called and `std::abort()` if the former returns.

- If BOOST_NO_EXCEPTIONS and BOOST_CONTAINER_USER_DEFINED_THROW_CALLBACKS are defined the user must provide an implementation and the function should not return.